summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsource4/lib/ldb/autogen-autotools.sh18
l---------[-rwxr-xr-x]source4/lib/ldb/autogen.sh19
2 files changed, 19 insertions, 18 deletions
diff --git a/source4/lib/ldb/autogen-autotools.sh b/source4/lib/ldb/autogen-autotools.sh
new file mode 100755
index 0000000000..c68f2259b6
--- /dev/null
+++ b/source4/lib/ldb/autogen-autotools.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+echo "Using autotools based build"
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace -I ../../../lib/replace"
+IPATHS="$IPATHS -I ./external"
+
+autoheader $IPATHS || exit 1
+autoconf $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+echo "Now run ./configure and then make."
+exit 0
+
diff --git a/source4/lib/ldb/autogen.sh b/source4/lib/ldb/autogen.sh
index c68f2259b6..672a86b206 100755..120000
--- a/source4/lib/ldb/autogen.sh
+++ b/source4/lib/ldb/autogen.sh
@@ -1,18 +1 @@
-#!/bin/sh
-
-echo "Using autotools based build"
-
-rm -rf autom4te.cache
-rm -f configure config.h.in
-
-IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace -I ../../../lib/replace"
-IPATHS="$IPATHS -I ./external"
-
-autoheader $IPATHS || exit 1
-autoconf $IPATHS || exit 1
-
-rm -rf autom4te.cache
-
-echo "Now run ./configure and then make."
-exit 0
-
+../../../buildtools/scripts/autogen-waf.sh \ No newline at end of file